GWT 2.7.0

## com.google.gwt.event.logical.shared
Interface HasSelectionHandlers<T>

Type Parameters:
  `T` - the type being selected

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  DecoratedTabBar, DecoratedTabPanel, StackLayoutPanel, SuggestBox, TabBar, TabLayoutPanel, TabPanel, Tree

    public interface HasSelectionHandlers<T>

extends HasHandlers

A widget that implements this interface is a public source of `SelectionEvent` events.

Method Summary
`HandlerRegistration` | `addSelectionHandler(SelectionHandler<T> handler)` Adds a `SelectionEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addSelectionHandler

    HandlerRegistration addSelectionHandler(SelectionHandler<T> handler)

  Adds a `SelectionEvent` handler.

  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event

GWT 2.7.0